
package de.ivu.elect.presentation.benutzerverwaltung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(RolleActionMenu.COMPONENT_NAME)
public class RolleActionMenu extends AbstractActionMenuModelBuilder<Rolle> {

  public static final String COMPONENT_NAME = "rolleActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient RolleEditAction rolleEditAction;

  @Inject
  private transient RolleKopieAction rolleKopieAction;

  @Inject
  protected transient RolleDeleteAction rolleDeleteAction;

  public RolleActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Rolle>> getActionEntriesSorted() {
    List<ActionEntry<Rolle>> result = new ArrayList<>();

    result.add(rolleEditAction);
    result.add(rolleKopieAction);
    result.add(rolleDeleteAction);

    return result;
  }
}
